import { DynamoDBStreamEvent } from 'aws-lambda';
import { BoosterConfig, EventEnvelope, UUID } from '@boostercloud/framework-types';
import { DynamoDB } from 'aws-sdk';
export declare function rawEventsToEnvelopes(rawEvents: DynamoDBStreamEvent): Array<EventEnvelope>;
export declare function readEntityEventsSince(dynamoDB: DynamoDB.DocumentClient, config: BoosterConfig, entityTypeName: string, entityID: UUID, since?: string): Promise<Array<EventEnvelope>>;
export declare function readEntityLatestSnapshot(dynamoDB: DynamoDB.DocumentClient, config: BoosterConfig, entityTypeName: string, entityID: UUID): Promise<EventEnvelope | null>;
export declare function storeEvents(dynamoDB: DynamoDB.DocumentClient, eventEnvelopes: Array<EventEnvelope>, config: BoosterConfig): Promise<void>;
